import { IItem, ItemRarities } from '@rpg-engine/shared';


export const rarityColor = (item: IItem | null) => {
  switch (item?.rarity) {
    case ItemRarities.Uncommon:
      return 'rgba(13, 193, 13, 0.6)';
    case ItemRarities.Rare:
      return 'rgba(8, 104, 187, 0.6)';
    case ItemRarities.Epic:
      return 'rgba(191, 0, 255, 0.6)';
    case ItemRarities.Legendary:
      return 'rgba(255, 191, 0,0.6)';
    default:
      return null;
  }
};
